TIX-ISO-ADD(8)

NAME
tix-iso-add - add directory to .iso filesystem

SYNOPSIS
tix-iso-add [-o output-file] input-file input-directory

DESCRIPTION
tix-iso-add adds the contents of the input-directory directory to the .iso filesystem at input-file, while keeping the .iso bootable after the modification.

xorriso(1) must be installed in order to use this script.

This script is designed to be convenient when modifying a Sortix release .iso as part of the release-iso-modification(7) procedure. The user is free to take all its actions themselves if it doesn't meet their needs.

The options are as follows:

-o output-file, --output output-file
    Write the modified input-file to output-file instead of modifying input-file in place. This path must not be the same as the input-file.

This script works by invoking the xorriso(1) program and essentially boils down to:

    xorriso \
      -indev "$input_file" \
      -outdev "$output_file" \
      -boot_image grub keep \
      -pathspecs on \
      -add \
      ="$input_directory"

EXIT STATUS
tix-iso-add will exit 0 on success and non-zero otherwise. On error, the input file is left alone.

EXAMPLES
To add some files and directories to an .iso filesystem, one can run:

    mkdir directory
    mkdir directory/foo
    mkdir directory/foo/bar
    echo qux > directory/foo/bar/qux
    echo spam > directory/foo/bar/spam
    tix-iso-add sortix.iso directory

To save the modified iso elsewhere, one can run:

    tix-iso-add -o sortix-modified.iso sortix.iso directory

SEE ALSO
xorriso(1), release-iso-modification(7), tix-iso-bootconfig(8), tix-iso-liveconfig(8)